{ pkgs ? import <nixpkgs> {} }:
let
    pythonWithPackages = pkgs.python3.withPackages (p: with p; [
        pycairo
        numpy
        jupyter
        ipykernel
        matplotlib
        scipy
        opencv4
        noise
        autopep8
    ]);
in
pythonWithPackages.env